Subject: Re: bug#6187: 23.1; can't save: "Wrong type argument: number-of-marker-p, nil"

From: Ryo Furue <[email-masked]>
Date: Fri, 25 Jun 2010 17:01:47 -1000 (HST)

| OK, I've included "(setq debug-on-error t)" in my .emacs, killed the
| emacs daemon, and started a fresh one.  As I feared, the same error
| doesn't occur right now.  Eventually it may appear again, and then
| I'll send you the backtrace.  But, does that mean you expect
| that we may see a different backtrace from the one I sent
| you before?

It seems that this error eventually starts as you continue to use an
emacs daemon:

Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
  min(nil)
  apply(min nil)
  select-safe-coding-system-interactively(1 11 (utf-8 windows-1258 windows-1255 adobe-standard-encoding hp-roman8 next mac-roman windows-1254 windows-1252 gb18030 utf-7 utf-16 utf-16be-with-signature utf-16le-with-signature utf-16be utf-16le x-ctext iso-2022-7bit utf-8-auto utf-8-with-signature emacs-mule raw-text iso-2022-8bit-ss2 georgian-academy georgian-ps utf-7-imap utf-8-emacs no-conversion compound-text-with-extensions ctext-no-compositions iso-2022-7bit-lock iso-2022-7bit-ss2) (japanese-iso-8bit-unix) nil utf-8)
  select-safe-coding-system(1 11 japanese-iso-8bit-unix nil "/home/amakihi/furue/tmp/tmp.txt")
  write-region(nil nil "/home/amakihi/furue/tmp/tmp.txt" nil t "~/tmp/tmp.txt")
  basic-save-buffer-2()
  basic-save-buffer-1()
  basic-save-buffer()
  save-buffer(1)
  call-interactively(save-buffer nil nil)